<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('damage_detalis', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('damage_id');
            $table->string('product_id');
            $table->string('attribute_id');
            $table->string('qty');
            $table->string('unit_price');
            $table->string('status')->nullable();
            $table->string('total');
            $table->timestamps();
            $table->foreign('damage_id')->references('id')->on('damage_masters')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('damage_detalis');
    }
};
